com.verisign.epp.codec.fee.v23

## Class EPPFeeChkData

- java.lang.Object
- - com.verisign.epp.codec.fee.v23.EPPFeeChkData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPFeeChkData
      extends java.lang.Object
      implements EPPCodecComponent

  The extension to a response to a check command with the fee check extension.
  See Also:
    `EPPFeeCheck`, `EPPFeeCheckResult`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeChkData`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeChkData`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFeeChkData()` `EPPFeeChkData` default constructor.
    `EPPFeeChkData(java.lang.String aCurrency)` `EPPFeeChkData` constructor that only sets the currency.
    `EPPFeeChkData(java.lang.String aCurrency, EPPFeeCheckResult aResult)` `EPPFeeChkData` constructor that sets a single result.
    `EPPFeeChkData(java.lang.String aCurrency, java.util.List<EPPFeeCheckResult> aResults)` `EPPFeeChkData` constructor that sets a list of results.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCheckResult(EPPFeeCheckResult aResult)` Adds a check result to the list of results.
    `java.lang.Object` | `clone()` Clone `EPPFeeChkData` instance.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPFeeChkData` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPFeeChkData` instance.
    `boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPFeeChkData` compare.
    `java.util.List<EPPFeeCheckResult>` | `getCheckResults()` Get the results of a `EPPFeeChkData` Response.
    `java.lang.String` | `getCurrency()` Gets the currency value.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPFeeChkData`.
    `void` | `setCheckResult(EPPFeeCheckResult aResult)` Sets the result of an individual domain name.
    `void` | `setCheckResults(java.util.List<EPPFeeCheckResult> aResults)` Set the results of a `EPPFeeChkData` Response.
    `void` | `setCurrency(java.lang.String aCurrency)` Sets the currency value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPFeeChkData`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPFeeChkData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPFeeChkData

          public EPPFeeChkData()

      `EPPFeeChkData` default constructor. The results list will be empty.

    - #### EPPFeeChkData

          public EPPFeeChkData(java.lang.String aCurrency)

      `EPPFeeChkData` constructor that only sets the currency. At least one result must be set.
      Parameters:
        `aCurrency` - Currency code of fees using a three-character currency code from ISO4217.

    - #### EPPFeeChkData

          public EPPFeeChkData(java.lang.String aCurrency,
                               EPPFeeCheckResult aResult)

      `EPPFeeChkData` constructor that sets a single result.
      Parameters:
        `aCurrency` - Currency code of fees using a three-character currency code from ISO4217.
        `aResult` - A single result

    - #### EPPFeeChkData

          public EPPFeeChkData(java.lang.String aCurrency,
                               java.util.List<EPPFeeCheckResult> aResults)

      `EPPFeeChkData` constructor that sets a list of results.
      Parameters:
        `aCurrency` - Currency code of fees using a three-character currency code from ISO4217.
        `aResults` - List of check results

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPFeeChkData`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        `EPPFeeExtFactory.NS`

    - #### getCurrency

          public java.lang.String getCurrency()

      Gets the currency value.
      Returns:
        Currency if defined; `null` otherwise.

    - #### setCurrency

          public void setCurrency(java.lang.String aCurrency)

      Sets the currency value.
      Parameters:
        `aCurrency` - Currency value

    - #### getCheckResults

          public java.util.List<EPPFeeCheckResult> getCheckResults()

      Get the results of a `EPPFeeChkData` Response. There is one `EPPFeeDomainResult` instance in `this.results` for each domain requested in the Check Command.
      Returns:
        List of results if defined; empty list otherwise.

    - #### setCheckResults

          public void setCheckResults(java.util.List<EPPFeeCheckResult> aResults)

      Set the results of a `EPPFeeChkData` Response. There is one `EPPFeeDomainResult` instance in `this.results` for each domain requested in the Check Command.
      Parameters:
        `aResults` - List of claims check results

    - #### addCheckResult

          public void addCheckResult(EPPFeeCheckResult aResult)

      Adds a check result to the list of results.
      Parameters:
        `aResult` - Check result to add to the list.

    - #### setCheckResult

          public void setCheckResult(EPPFeeCheckResult aResult)

      Sets the result of an individual domain name.
      Parameters:
        `aResult` - Check result to set

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPFeeChkData` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPFeeChkData` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPFeeChkData` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPFeeChkData` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPFeeChkData` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Implements a deep `EPPFeeChkData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPFeeChkData` instance to compare with
      Returns:
        `true` if equal `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPFeeChkData` instance.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPFeeChkData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception